/* styles.css */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    overflow-y: scroll;
}

body {
    font-family: 'Noto Sans TC', 'Microsoft JhengHei', sans-serif;
    line-height: 1.6;
    color: #000000;
    overflow-x: hidden
}

p {
    font-size: 1.125rem;
    line-height: 1.8;
    letter-spacing: 0.5px;

}

p span {
    font-size: 8px;
    vertical-align: middle;
    display: inline-block;
}

hr {
    border: 0;
    border-top: 1px solid #dadada;
    margin: 50px 0;
}

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}


/* Header */
.header {
    width: 100%;
    background-color: #fff;
    border-bottom: #dadada solid 0.1px;
    padding: 15px 0;
    position: fixed;
    top: 0;
    z-index: 100;
}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
}

.logo img {
   width:150px
}

.nav {
    color: #686868;
}

.nav ul {
    display: flex;
    list-style: none;
    gap: 15px;
    align-items: center;
    margin: 0;
    padding: 0;
}

.nav a {
    text-decoration: none;
    color: #666;
    font-size: 1rem;
    transition: color 0.3s;
}

.nav a:hover {
    color: #c41e3a;
    font-weight: bold;
}

.btn-login {
    border: 1px solid #333;
    border-radius: 20px;
    padding: 2px 20px;
    color: #333;
    font-size: 0.875rem;
}

.btn-login:hover {
    border: 1px solid #c41e3a;
}


.dropdown {
    position: relative;
}

.dropbtn {
    cursor: pointer;
}


.dropdown-content {
    display: none;
    list-style: none;
    padding: 0;
    margin: 0;
}

@media (min-width: 769px) {
    .dropdown-content {
        display: block !important;
        position: absolute;
        top: 230%;
        left: 80%;
        z-index: 10000;
        background-color: #ffffff;
        box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.08);
        margin-top: 15px;
        padding: 10px 0 !important;
        min-width: 220px;
        opacity: 0;
        visibility: hidden;
        transform: translate(-50%, -10px);
        transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s ease;
    }

    .dropdown-content li {
        width: 100%;
    }

    .dropdown-content a {
        padding: 10px 20px !important;
        font-size: 0.95rem;
        text-align: left;
        display: block;
        white-space: nowrap;
    }

    /* Hover 觸發動態浮現 */
    .dropdown:hover .dropdown-content {
        opacity: 1;
        visibility: visible;
        transform: translate(-50%, 0);
    }

    .dropdown:hover .dropbtn {
        color: #c41e3a;
    }
}

/* Progress Section */
.progress-section {
    background-color: #fff;
    padding: 10px 0;
}

.page-title {
    width: 100%;
    padding: 120px 5px 20px 5px;
    color: #90441a;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
}

.mobile-br {
    display: none;
}

.progress-steps {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding-top: 30px;
    background: radial-gradient(ellipse at 50% 0%,
            #f3f3f3 5%,
            #ffffff 85%);
}

.step {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
}

.step.active .step-icon {
    background: linear-gradient(to bottom,
            #e59b72,
            #f2ef1a);
    color: #fff;
    border: none;
}

.step.active .step-text {
    font-weight: bold;
}

.step-icon {
    width: 50px;
    height: 50px;
    background-color: #fff;
    border-radius: 50%;
    border: #aaaaaa solid 3.5px;
    color: #aaaaaa;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 26px;
    box-sizing: border-box;
    position: relative;
    z-index: 2;
}

.step-text {
    font-size: 1.125rem;
    color: #444444;
}

.step-line {
    flex-grow: 1;
    height: 1px;
    border-bottom: 1px solid #ccc;
    margin: 0 0 0 5px;
}

@media (max-width: 768px) {
    .step-icon {
        width: 30px;
        height: 30px;
        background-color: #fff;
        border-radius: 50%;
        border: #aaaaaa solid 1px;
        color: #aaaaaa;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 13px;
        box-sizing: border-box;
        position: relative;
        z-index: 2;
    }
}

/* Main Content */
.main-content {
    padding: 20px 0;
}


/* Banner Section */
.banner-section {
    display: flex;
}

.banner-left,
.banner-right {
    position: relative;
    flex: 1 0 0;
}

.banner-left img,
.banner-right img {
    width: 100%;
    height: auto;
    display: block;
}

.person-banner-section {
    display: flex;
    margin-bottom: 50px;
}


/* Description */
.description {
    font-size: 22px;
    font-weight: bold;
    padding: 10px;
    margin: 20px 0px 20px;
    line-height: 1.8;
    letter-spacing: 2px;
}

.description h2 {
    font-size: 1.375rem;
}

.description p {
    font-size: 1.25rem;
}


.description-notice {
    height: 100%;
    color: #be0144;
    margin: 20px 0;
}

/* Title Liner */
.title-container {
    display: flex;
    align-items: center;
    width: 100%;
    margin: 20px 0;
}

.title-box {
    background: linear-gradient(to right, #207c3a, #3da759);
    padding: 8px 30px;
    position: relative;
    transform: skew(-20deg);
    transform-origin: left bottom;
    display: inline-block;
}

.title-box span {
    color: white;
    font-size: 1.375rem;
    font-weight: bold;
    display: block;
    transform: skew(20deg);
    letter-spacing: 2px;
}

.title-line {
    flex-grow: 1;
    height: 6px;
    margin-left: -10px;
    border-top: 1px solid #34a853;
    border-bottom: 1px solid #34a853;
    position: relative;
}


/* Package Details */
.package-details {
    background-color: #fff;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 30px;
}

.package-header {
    background: linear-gradient(90deg, #2d5016 0%, #4a7c2c 100%);
    color: white;
    padding: 15px 20px;
}

.package-header h2 {
    font-size: 20px;
    margin: 0;
}

.package-content-green,
.package-content {
    margin: 10px 0 20px 0;
    padding: 10px;
}

.package-content h1 {
    font-size: 22px;
}

.package-content h2 {
    color: #1e3682;
    font-size: 22px;
    letter-spacing: 2px;
    margin: 10px 0;
}

.package-content-green h3,
.package-content h3 {
    color: #90441a;
    font-size: 20px;
    margin: 10px 0;
}

.package-content-green h2 {
    color: #428c57;
    font-size: 22px;
    letter-spacing: 2px;
    margin: 20px 0;
    letter-spacing: 2px;
}

.title-icon {
    font-size: 22px;
    display: inline-block;
    transform: scale(0.8, 1.2);
    transform-origin: left;
    margin-right: -6px;
}

.package-price-living {
    margin-top: 20px;
    font-size: 22px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #cd7510;
}

.package-price-underworld {
    margin-top: 20px;
    font-size: 22px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #2c5ea2;
}

.package-diamond {
    font-size: 10px;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    top: -1px;
}

.package-line {
    font-size: 20px;
    display: inline-block;
    transform: scale(0.8, 1.2);
    transform-origin: center;
    margin-right: -6px;
}

/* Registration Form Section */
.registration-form {
    margin-bottom: 50px;
}

.form-container {
    width: 100%;
    margin: 0 auto;
}

.form-title {
    font-size: 1.625rem;
}

/* Form Groups */
.group {
    margin: 25px 0;
}

.form-group-name {
    margin-bottom: 15px;
    display: flex;
    flex-direction: column;
}

.form-group {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.form-label {
    display: block;
    font-size: 20px;
}

.form-group-name .form-label {
    color: #90441a;
    margin-bottom: 8px;
    font-weight: bold;
}


.form-group .form-label {
    width: 140px;
    margin-bottom: 0;
    flex-shrink: 0;
}

.form-label.required::after {
    content: '*';
    color: red;
    margin-left: 3px;
    font-weight: bold;
}

.form-input {
    width: 100%;
    padding: 12px 15px 10px !important;
    border: 2px solid #f2f2f2 !important;
    border-radius: 6px;
    box-sizing: border-box !important;
    font-size: 18px;
    color: #333;
    background-color: #fff;
    outline: none !important;
    transition: border-color 0.3s ease;
}

.form-group .form-input {
    flex-grow: 1;
    width: auto;
}

.form-input::placeholder {
    color: #c8c8c8;
}

.form-input:hover,
.form-input:focus {
    border-width: 2px !important;
    border-color: #dcdcdc !important;
    margin: 0;
}

.form-input-hint {
    margin: 5px 20px 5px 5px;
    font-size: 16px;
    color: red;
}

/* Form Actions */
.form-actions {
    width: 100%;
    margin-top: 40px;
    padding-top: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.btn-add-more {
    width: 200px;
    background-color: #fff;
    border: 2px solid #d78220;
    color: #d78220;
    padding: 12px 30px;
    border-radius: 5px;
    font-family: 'Noto Serif TC', serif !important;
    font-size: 1.375rem;
    font-weight: bold;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 5px;
}

.btn-add-more:active {
    background-color: #eb8d00;
    color: #fff;
    box-shadow: 0 4px 12px rgba(255, 152, 0, 0.3);
}

/* Form Notice */
.form-notice {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #d72020;
    font-size: 1.375rem;
    font-weight: bold;
}

.notice-icon {
    font-size: 18px;
}

.notice-text {
    font-weight: 500;
}

/* Registration Notice */
.registration-notice {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 30px;
    padding: 15px;
    background-color: #fff8f0;
    border-left: 4px solid #ff9800;
    border-radius: 5px;
}

/* Member Info */
.member-info {
    color: #2f8b3a;
    margin: 50px;
    width: 100%;
    text-align: center;
    line-height: 1.8rem;
}

/* Next Step Button */
.btn-next-step {
    width: 100%;
    max-width: 300px;
    display: block;
    margin: 0 auto 50px;
    padding: 8px 20px;
    background: linear-gradient(#f78a22 0%, #ed4c18 100%);
    border: none;
    border-radius: 30px;
    color: #fff;
    font-size: 24px;
    font-weight: bold;
    letter-spacing: 0.4rem;
    text-align: center;
    cursor: pointer;
    box-shadow: 0 4px 15px rgba(255, 107, 53, 0.3);
    transform: all 0.3s ease;
    font-family: 'Noto Sans TC' !important;
    text-decoration: none;
}

.btn-next-step:hover,
.btn-next-step:active {
    background: linear-gradient(to bottom, #ff9c3d 0%, #d84110 100%);
    box-shadow: 0 6px 15px rgba(220, 60, 15, 0.4);
}


/* Member Login Box*/
.login-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 4000;
    justify-content: center;
    align-items: center;
}

.login-box {
    background: #ffffff;
    width: 100%;
    max-width: 480px;
    height: auto;
    padding: 40px;
    border-radius: 15px;
    position: relative;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
}

.close-login {
    position: absolute;
    right: 20px;
    top: 15px;
    font-size: 28px;
    cursor: pointer;
    color: #999;
    line-height: 1;
}

.close-login:hover {
    color: #333;
}

.login-title {
    text-align: center;
    color: #218630;
    font-size: 1.875rem;
    margin-bottom: 30px;
    font-weight: bold;
    letter-spacing: 2px;
}

.input-group {
    position: relative;
    margin-bottom: 20px;
}

.input-group i {
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
    color: #218630;
    font-size: 20px;
}

.input-group input {
    width: 100%;
    padding: 15px 15px 15px 50px;
    font-size: 1.125rem;
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #e0e0e096;
    box-shadow: 0 0 5px 5px #f3f2f2;
}

.input-group input:focus {
    outline: none;
    border-color: #218630;
}

.captcha-text {
    text-align: left;
    font-size: 16px;
    color: #888;
    margin: 15px 0 8px;

}

.captcha-group {
    display: flex;
    gap: 15px;
    width: 100%;
    margin-bottom: 20px;
    align-items: stretch;
}

.captcha-group input,
.captcha-number {
    flex: 1;
    width: 0;
    font-size: 1.125rem;
    padding: 12px 0;
    border-radius: 5px;
    border: 1px solid #e0e0e096;
    box-shadow: 0 0 5px 5px #f3f2f2;
    background-color: #ffffff;
    box-sizing: border-box;
}

.captcha-number {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    cursor: pointer;
}

.captcha-number:hover {
    outline: none;
    border: 1px solid #8d8d8d;
    box-shadow: 0 0 5px 5px #cecece;
    background-color: #ffffff;
}

.captcha-group input {
    text-align: center;
    padding-left: 10px;
    padding-right: 10px;
}

.captcha-group input:focus {
    outline: none;
    border-color: #8d8d8d;
}

.input-group input::placeholder,
.captcha-group input::placeholder {
    color: #d1d1d1;
}

.forgot-password {
    display: block;
    text-align: left;
    color: #e67e22;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 500;
    margin-bottom: 10px;
}

.forgot-password:hover {
    text-decoration: underline;
    font-weight: bold;
}

.button-group {
    display: flex;
    gap: 15px;
    margin-bottom: 30px;
}

.btn-guest {
    flex: 1;
    background: #fff;
    border: 3px solid #aaaaaa;
    color: #999999;
    padding: 12px;
    border-radius: 8px;
    font-size: 1.125rem;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.1s;
}

.btn-guest:hover {
    background: #a7a7a7;
    color: white;
}

.btn-login-submit {
    flex: 1;
    background: linear-gradient(to bottom, #ff9e22 0%, #ff5e22 100%);
    border: none;
    color: #fff;
    padding: 12px;
    border-radius: 8px;
    font-size: 1.5rem;
    font-weight: bold;
    cursor: pointer;
    box-shadow: 0 4px 10px rgba(255, 94, 34, 0.3);
    transition: transform 0.2s;
}

.btn-login-submit:hover {
    box-shadow: 0 6px 20px rgba(255, 107, 53, 0.4);
    background: linear-gradient(360deg, #ff8c42 0%, #ff6b35 100%);
}

.login-notes {
    text-align: left;
    font-size: 0.9375rem;
    color: #555;
    line-height: 1.6;
    margin-bottom: 25px;
    border-top: 1px solid #eee;
    padding-top: 20px;
}

.login-notes p {
    margin-bottom: 10px;
}

.register-link {
    text-align: center;
    font-size: 1.125rem;
    color: #333;
}

.register-link a {
    color: #ff5e22;
    text-decoration: none;
}

.register-link a:hover {
    text-decoration: underline;
    font-weight: bold;
}




/* Confirmation */
.confirm-box,
.congrats-box {
    border: 1px solid #dcdcdc;
    border-radius: 8px;
    padding: 30px;
    margin-bottom: 25px;
    box-shadow: inset 0 0 10px #74a275;
    background-color: #fff;
}

.item-title {
    margin-top: 0;
    font-size: 24px;
}

.detail-table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 15px;
}

.detail-table td {
    padding: 8px 0;
    font-size: 18px;
}

.total-summary {
    text-align: right;
    border-top: 1px solid #c7c7c7;
    padding-top: 15px;
    margin-top: 15px;
    color: #a0522d;
    font-size: 1.125rem;
}

.total-summary .count {
    font-size: 1.625rem;
    font-weight: bold;
}

.total-summary .amount {
    font-size: 1.625rem;
    font-weight: bold;
}

.congrats-title {
    color: #c00000;
    font-size: 22px;
    margin-top: 0;
}

.congrats-content h3 {
    color: #90441a;
    font-size: 20px;
    margin: 8px 0;
}

.congrats-content p {
    line-height: 2;
}

.congrats-content ul {
    list-style: none;
    padding-left: 0;
}

.congrats-content h3 span {
    font-size: 18px;
    display: inline-block;
    transform: scale(0.8, 1.2);
    transform-origin: center;
    margin-right: -4px;
}

.result-list {
    margin-top: 10px;
    color: #90441a;
}

.result-list p {
    font-size: 20px;
    margin: 5px 0;
    font-weight: 500;
    color: #90441a;
}



/* Credit Card Holder Info */
.creditcard-form-container {
    width: 100%;
    font-size: 20px;
    padding: 20px;
    box-sizing: border-box;
}

.creditcard-form-section {
    width: 100%;
    box-sizing: border-box;
}

.creditcard-form-row {
    width: 100%;
    margin-bottom: 20px;
    position: relative;
    box-sizing: border-box;
}

.creditcard-form-row .required::before {
    content: '*';
    color: red;
    margin-left: 3px;
}


.creditcard-form-row input[type="text"],
.creditcard-form-row input[type="tel"],
.birthday-group select,
.address-group input,
.receipt-section input[type="text"] {
    padding: 12px 15px 10px !important;
    border: 2px solid #f2f2f2 !important;
    border-radius: 6px;
    box-sizing: border-box !important;
    font-size: 18px !important;
    color: #333;
    background-color: #fff;
    outline: none !important;
    box-shadow: 0 0 5px 5px #f3f2f2 !important;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.creditcard-form-row input[type="text"]:hover,
.creditcard-form-row input[type="tel"]:hover,
.birthday-group select:hover,
.address-group input:hover,
.receipt-section input[type="text"]:hover,
.creditcard-form-row input[type="text"]:focus,
.creditcard-form-row input[type="tel"]:focus,
.birthday-group select:focus,
.address-group input:focus,
.receipt-section input[type="text"]:focus {
    border-width: 2px !important;
    border-color: #dcdcdc !important;
}

.creditcard-form-row input::placeholder,
.address-group input::placeholder,
.receipt-section input::placeholder {
    color: #d1d1d1;
}


.full-input {
    width: 100% !important;
}


label {
    display: block;
    margin-bottom: 8px;
    font-weight: 500;
}

.birthday-group {

    display: flex;
    align-items: center;
    gap: 5px;
}

.birthday-group select {
    width: auto;
    min-width: 60px;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='%23666666' d='M201.4 342.6c12.5 12.5 32.8 12.5 45.3 0l160-160c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L224 274.7 86.6 137.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l160 160z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 14px;
    padding-right: 30px !important;
}

.birthday-group select:nth-of-type(1) {
    width: 130px;
}

.birthday-group select:nth-of-type(2),
.birthday-group select:nth-of-type(3) {
    width: 90px;
}

.zip-input {
    width: 100px;
}

.address-group input:not(.zip-input) {
    flex: 1;
}

.address-title {
    display: flex;
    gap: 20px;
}

.zip-link {
    font-size: 18px;
    color: #0066cc;
    text-decoration: underline;
}

.address-group {
    font-size: 1.375rem;
    display: flex;
    gap: 10px;
    margin-top: 5px;
}

.addr-input {
    flex: 1;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

.error-hint {
    color: red;
    font-size: 16px;
    margin-top: 5px;
}

.info-hint {
    color: red;
    font-size: 16px;
    line-height: 1.5;
    margin: 20px 0;
}

.divider-title {
    color: #a0522d;
    padding-bottom: 5px;
    margin: 30px 0 15px;
    font-size: 22px;
    font-weight: bold;
    letter-spacing: 1px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.divider-title::after {
    content: "";
    flex: 1;
    height: 1px;
    background-color: #a0522d;
}

.receipt-options {
    display: flex;
    gap: 55px;
    margin-top: 10px;
}

/* radio style*/
.radio-item {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 20px;
    color: #333;
    user-select: none;
}

.radio-item input {
    display: none;
}

.radio-mark {
    width: 22px;
    height: 22px;
    border: 1px solid #e6e6e6;
    border-radius: 50%;
    margin-right: 10px;
    background-color: #fff;
    display: inline-block;
    position: relative;
    transition: all 0.2s ease;
    box-shadow: 0 0 8px 2px rgba(0, 0, 0, 0.05);
}

.radio-item input:checked+.radio-mark {
    border-color: #ffffff;
    box-shadow: 0 0 10px 2px rgba(33, 134, 48, 0.2);
}

.radio-mark::after {
    content: "";
    position: absolute;
    display: none;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background: #33a947;
}

.radio-item input:checked+.radio-mark::after {
    display: block;
}

.receipt-name {
    margin: 20px 0;
    display: flex;
    align-items: center;
    gap: 15px;
}

.receipt-name label {
    white-space: nowrap;
    min-width: 100px;
}

.receipt-name input {
    flex: 1;
}


/* policy*/
.policy-item {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    margin-bottom: 20px;
}

.policy-description {
    margin: 0;
    line-height: 1.6;
    font-size: 20px;
}


/* checkmark style */
.custom-checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 20px;
    user-select: none;
}

.custom-checkbox input {
    display: none;
}

.checkmark {
    position: relative;
    height: 22px;
    width: 22px;
    flex-shrink: 0;
    background-color: #fff;
    border: 1px solid #d1d1d1;
    border-radius: 4px;
    margin-right: 12px;
    transition: all 0.2s ease;
    box-shadow: 0 0 8px 2px rgba(0, 0, 0, 0.05);
}

.custom-checkbox input:checked+.checkmark {
    background-color: #33a947;
    border-color: #dfdfdf;
    box-shadow: 0 0 10px 2px rgba(226, 226, 226, 0.747);
}

.checkmark::after {
    content: "";
    position: absolute;
    display: none;
    left: 7px;
    top: 1.5px;
    width: 6px;
    height: 11px;
    border: solid white;
    border-width: 0 2.5px 2.5px 0;
    transform: rotate(45deg);
}

.custom-checkbox input:checked+.checkmark::after {
    display: block;
}

.checkbox-text {
    font-weight: bold;
    white-space: nowrap;
}

.custom-checkbox:hover .checkmark {
    border-color: #33a947;
}



/* Payment Buttons */
.payment-actions {
    display: flex;
    justify-content: center;
    gap: 100px;
    margin: 50px 0;
}

.payment-actions button {
    width: 350px;
    padding: 8px 20px;
    color: #ffffff;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
    border: none;
    border-radius: 50px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.payment-actions button p {
    line-height: 1.3;
    margin: 0 !important;
}

.btn-unionpay {
    width: 100%;
    background: linear-gradient(to bottom, #00b0e5 0%, #2f5ce5 100%);
    transition: all 0.3s ease;
    font-family: 'Noto Sans TC' !important;
}

.btn-unionpay:hover {
    background: linear-gradient(to bottom, #00aaff 0%, #3a6aff 100%);
    box-shadow: 0 6px 20px rgb(47, 92, 229);
}

.btn-creditcard {
    width: 100%;
    background: linear-gradient(to bottom, #ff9933 0%, #ff5522 100%);
    transition: all 0.3s ease;
    font-family: 'Noto Sans TC' !important;
}

.btn-creditcard:hover {
    background: linear-gradient(to bottom, #ffa64d 0%, #ff6633 100%);
    box-shadow: 0 6px 20px rgb(255, 86, 34);
}

.back-action {
    display: flex;
    justify-content: center;
}

.btn-back {
    width: 300px;
    padding: 8px 0 10px;
    font-size: 24px;
    font-weight: bold;
    color: #ffffff;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    background: linear-gradient(to bottom, #999999 0%, #666666 100%);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
    font-family: 'Noto Sans TC' !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-back:hover {
    background: linear-gradient(to bottom, #aaaaaa 0%, #777777 100%);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.4);
}

.btn-back p {
    margin: 0 !important;
}



/* input style */
input {
    color: #333;
    width: 100%;
    padding: 15px;
    font-size: 1.375rem;
    border-radius: 5px;
    border: 1px solid #e0e0e096;
    box-shadow: 0 0 5px 5px #f3f2f2;
    box-sizing: border-box;
}

input:hover,
select:hover {
    border: 1px solid #e0e0e096;
}

input:focus,
select:focus {
    outline: none;
    border: 1px solid #5a5a5a;
    box-shadow: 0 0 5px 5px #f3f2f2;
    box-sizing: border-box;
}


/* Ad Boxes */
.ad-boxes {
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.ad-boxes div {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-shrink: 1;
}

.ad-boxes a {
    display: inline-block;
    line-height: 0;
}

.ad-boxes a img {
    padding: 9px;
    display: block;
    transition: transform 0.2s;
}

.ad-boxes img:hover {
    transform: scale(1.05);
}

.ad-boxes p {
    margin: 10px 0 20px 0;
    color: red;
    text-align: center;
    font-size: 16px;
    line-height: 1.6;
}

.certification {
    display: flex;
    gap: 30px;
}

.certification-content {
    color: #90441a;
    box-sizing: border-box;
    width: 100%;
}

.certification-content h2 {
    color: #218630;
    font-size: 24px !important;
}

.certification-content h3 {
    color: #218630;
}

.certification-content p {
    font-size: 22px;
}


/* Dedication */
.dedication {
    position: relative;
    overflow: hidden;
    width: 100vw;
    height: 444px;
}

.dedication img {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.email-certification {
    border: 1px solid #dcdcdc;
    border-radius: 8px;
    padding: 20px 30px;
    margin-bottom: 25px;
    box-shadow: inset 0 0 10px #74a275;
    background-color: #fff;
    text-align: center;
}

.email-certification p a {
    text-decoration: none;
    color: #ef5a2c;
    background: linear-gradient(to bottom, transparent 70%, #ffff00 50%);
    padding: 0 4px;
}

.email-certification p a:hover {
    font-weight: bold;
    background: linear-gradient(to bottom, transparent 20%, #ffff00 20%);
}

.certification-notice {
    margin: 20px 30px 30px 50px;
}

.action-group {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 50px;
}

.btn-outline {
    width: 100%;
    max-width: 300px;
    display: block;
    margin: 0 auto;
    color: #ff5c20;
    font-size: 1.625rem;
    font-weight: bold;
    letter-spacing: 0.4rem;
    text-align: center;
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 30px;
    font-family: 'Noto Sans TC' !important;
    background-image: linear-gradient(white, white),
        linear-gradient(to bottom, #ef5a2c, #d78320);
    background-origin: border-box;
    background-clip: padding-box, border-box;
    line-height: 1.5;
    padding-top: 8px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

.btn-again {
    width: 100%;
    max-width: 300px;
    display: block;
    margin: 0 auto;
    padding: 8px 40px 10px;
    background: linear-gradient(360deg, #ff5c20 0%, #ffa65d 100%);
    border: none;
    border-radius: 30px;
    color: #fff;
    font-size: 1.625rem;
    font-weight: bold;
    letter-spacing: 0.4rem;
    text-align: center;
    cursor: pointer;
    box-shadow: 0 4px 15px rgba(255, 107, 53, 0.3);
    font-family: 'Noto Sans TC' !important;
}

.btn-outline:hover,
.btn-outline:active {
    border: 2px solid #ffa65d;
    color: #ffffff;
    background: linear-gradient(360deg, #ff5c20 0%, #ffa65d 100%);
}

.btn-again:hover,
.btn-again:active {
    box-shadow: 0 6px 20px rgba(255, 107, 53, 0.4);
    background: linear-gradient(360deg, #ff8c42 0%, #ff6b35 100%);
}


/* Click-Back Button */
.click-back {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 5%;
    right: 30px;
    transition: transform 0.3s;
}

.click-back:hover {
    cursor: pointer;
    transform: translateY(-5px);
}

.click-back-mobile {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 60px;
    bottom: 0;
    background: linear-gradient(to bottom, #207c3a, #3da759);
    text-align: center;
    font-size: 2rem !important;
    letter-spacing: 1.5px;
    color: #ffffe3;
    z-index: 1200;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    /* 加上動畫過場 */
    opacity: 1;
    visibility: visible;
}

.click-back-mobile.is-hidden {
    opacity: 0;
    visibility: hidden;
}

.click-back-mobile p {
    font-size: 22px;
}

.click-back-mobile i {
    font-size: 20px;
}

.click-back-mobile:hover {
    background: linear-gradient(360deg, #207c3a, #3da759);
    cursor: pointer;

}

/* Footer */
.footer {
    width: 100%;
    margin-top: 20px;
    padding-bottom: 50px;
    background-color: #f5f5f5;
    color: #000000;
}

.footer-content {
    margin: 20px;
    display: flex;
    flex-wrap: wrap;
}

.footer-content p {
    font-size: 0.9375rem;
}

.footer-block {
    flex: 1 0 50%;
    margin-top: 20px;
}

.footer-note {
    flex: 1 0 100%;
    margin-top: 50px;
}


/* Hamburger */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 1.5rem;
    color: #333;
    cursor: pointer;
}


/* font size */
.fs-15 {
    font-size: 14px;
}

.fs-26 {
    font-size: 20px;
}


/* customized input number*/
.form-input::-webkit-outer-spin-button,
.form-input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.form-input[type=number] {
    -moz-appearance: textfield;
    appearance: textfield;
}


/* RWD Mobile */
@media (max-width: 768px) {
    body {
        padding-top: 60px;
    }

    p {
        font-size: 1.125rem;
    }

    .header {
        position: fixed !important;
        top: 0;
        left: 0;
        width: 100%;
        height: 70px;
        background-color: #fff;
        z-index: 9999;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
        display: flex;
        align-items: center;
        padding: 0;
    }

    .header .container {
        display: flex;
        width: 100%;
        height: 100%;
        justify-content: space-between;
        align-items: center;
        padding: 0 20px;
    }

    .menu-toggle {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 20px;
        height: 15px;
        cursor: pointer;
        z-index: 2001;
        position: relative;
    }

    .menu-toggle span {
        display: block;
        height: 3px;
        width: 100%;
        background-color: #4b4b4b;
        border-radius: 8px;
        transition: all 0.3s ease;
    }

    .menu-toggle.active span:nth-child(1) {
        transform: translateY(6px) rotate(45deg);
    }

    .menu-toggle.active span:nth-child(2) {
        opacity: 0;
    }

    .menu-toggle.active span:nth-child(3) {
        transform: translateY(-6px) rotate(-45deg);
    }
    
    .nav {
        position: fixed;
        top: 0;
        right: -100%;
        left: auto;
        width: 290px;
        height: 100vh;
        background-color: #fff;
        box-shadow: -5px 0 15px rgba(0, 0, 0, 0.2);
        transition: right 0.4s ease;
        z-index: 1500;
        padding-top: 60px;
    }

    .nav.active {
        right: 0;
    }

    .nav ul {
        margin: 0;
        padding: 0 0 20px;
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
    }

    .nav ul li {
        width: 100%;
        margin: 0;
        text-align: left;
    }

    .nav ul li a {
        display: block;
        font-size: 1.125rem;
        text-align: left;
        padding: 10px 24px;
        width: 100%;
        box-sizing: border-box;
    }

    .btn-login {
        margin: 20px 24px 0 !important;
        border-radius: 5px;
        text-align: center !important;
        width: calc(100% - 48px) !important;
        padding: 10px 0 !important;
    }

    .dropdown {
        display: block;
        width: 100%;
    }

    .dropbtn {
        display: flex !important;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        box-sizing: border-box;
    }

    .dropdown-content {
        display: none !important;
        position: static !important;
        width: 100% !important;
        background-color: #fcfcfc !important;
        box-shadow: none !important;
        padding: 0 !important;
        margin: 0 !important;
        opacity: 1 !important;
        visibility: visible !important;
        transform: none !important;
        transition: none !important;
    }

    .dropdown-content.show {
        display: block !important;
    }

    .dropdown-content li a {
        padding: 12px 24px 12px 40px !important;
        font-size: 1rem;
        color: #555;
    }

    .dropdown .arrow {
        display: inline-block;
        position: relative;
        width: 8px;
        height: 8px;
        border-right: 2px solid #888;
        border-bottom: 2px solid #888;
        transform: rotate(45deg);
        transition: transform 0.3s ease;
        margin-right: 4px;
        top: -2px;
    }

    .dropdown.active .dropbtn .arrow {
        transform: rotate(-135deg) !important;
        top: 2px;
    }

    .mobile-br {
        display: block;
    }

    .mobile-br-show {
        display: none;
    }

    .page-title {
        width: 100%;
        padding: 25px 10px 10px 15px;
        color: #90441a;
        font-size: 22px;
        font-weight: bold;
        text-align: center;
    }

    .progress-section {
        padding: 0px 10px;
    }

    .step {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    .progress-steps {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        gap: 0;
    }

    .step-line {
        width: 100%;
        flex-grow: 1;
        height: 1px;
        border-bottom: 1px solid #ccc;
        margin-top: 14px;
        margin-left: 0px;
        margin-right: 0px;
    }

    .step-text {
        font-size: 14px;
        width: 100%;
        text-align: center;
        white-space: nowrap;
    }

    .total-summary {
        text-align: left;
    }

    .banner-section {
        display: flex;
        flex-direction: column;
    }

    .person-banner-section {
        display: flex;
        flex-direction: column;
    }

    .form-bottom-container {
        padding: 0 20px;
    }

    .form-group {
        flex-direction: column;
        align-items: flex-start;
    }

    .form-group .form-label {
        width: auto;
        margin-bottom: 8px;
    }

    .form-group .form-input {
        width: 100%;
    }

    .form-actions {
        margin-top: 0;
        padding-top: 0;
        flex-direction: column;
        flex-wrap: nowrap;
        align-items: center;
    }

    .btn-add-more {
        order: 1;
        justify-content: center;
        font-size: 20px;
        padding: 10px 20px !important;
        width: 180px;
    }

    .form-notice {
        order: 4;
        width: 100%;
        justify-content: center;
        margin-top: 20px;
    }

    .member-info {
        width: 100%;
        order: 2;
    }

    .btn-next-step {
        max-width: 100%;
        order: 3;
        font-size: 20px;
    }

    .btn-add-another {
        width: 100%;
        justify-content: center;
    }

    .detail-table,
    .detail-table tr,
    .detail-table td {
        display: block;
        width: 100%;
        line-height: 1;
    }

    .detail-table tr {
        margin-bottom: 20px;
        padding-bottom: 10px;
    }

    .birthday-group {
        display: flex;
        align-items: center;
        flex-wrap: nowrap;
    }

    .birthday-group select {
        flex: 1;
        width: auto;
        min-width: 60px;
        margin-right: 0px;
        padding: 10px 5px;
    }

    .birthday-group select:nth-of-type(1) {
        flex: 2;
        width: auto;
    }

    .birthday-group select:nth-of-type(2),
    .birthday-group select:nth-of-type(3) {
        flex: 1;
        width: auto;
    }

    .address-group {
        flex-direction: column;
    }

    .zip-input {
        width: 100%;
    }

    .receipt-name {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .policy-item {
        display: block;
    }

    .custom-checkbox {
        display: flex;
        align-items: center;
        margin: 0;
        float: left;
    }

    .checkbox-text {
        margin-right: 8PX;
    }

    .creditcard-form-container {
        padding: 5px;
    }

    .payment-actions {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }


    .btn-back {
        width: 100%;
        font-size: 20px;
    }

    .btn-creditcard {
        width: 100%;
        order: 1;
    }

    .payment-actions button {
        width: 100%;
        flex-direction: row;
        gap: 5px;
        padding: 8px 20px 10px !important;
        white-space: nowrap;
    }

    .btn-unionpay {
        order: 2;
        background: linear-gradient(to bottom, #4dc7fa 0%, #02a3d1 100%);
    }

    .btn-unionpay:hover {
        background: linear-gradient(to bottom, #4dc7fa 0%, #02b9d1 100%);
        box-shadow: 0 6px 20px #4dc7fa;
    }

    .registration-notice {
        flex-direction: column;
        text-align: center;
    }

    .info-text {
        font-size: 13px;
    }

    .action-group {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
        margin-bottom: 50px;
    }

    .btn-outline,
    .btn-again {
        max-width: 100%;
        font-size: 20px !important;
    }

    .ad-boxes {
        width: 100%;
        margin: 0 auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .ad-boxes img {
        padding: 0px;
        display: block;
        transition: transform 0.2s;
    }

    .ad-boxes p {
        white-space: initial;
        text-align: left;
    }

    .dedication img {
        display: block;
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

    .certification {
        flex-direction: column;
    }

    .certification-notice {
        margin: 0 0 50px 0;
    }

    .click-back {
        display: none;
    }

    .footer-content {
        grid-template-columns: 1fr;
        gap: 30px;
        margin-bottom: 20px;
    }

    .footer-note {
        margin-top: 20px;
    }

    .mobile-noshow {
        display: none;
    }
}


@media (min-width: 769px) {

    .click-back-mobile {
        display: none;
    }

    .mobile-show {
        display: none;
    }

}


#lightRegistrationForm,
section[id],
div[id] {
    scroll-margin-top: 160px;
}